########################################################################
#
# Overall configuration options

[Main]

# A list of emulators to launch.  There should be a config file in the
# config/ directory for each emulator listed.  The order listed here
# is the order they are displayed.
#   i.e. emulators = mame nesticle callus stella genecyst zsnes
emulators = license DreamTop200 mame Adventure Breakout Cards Casino Climbing Driving Fighter Gun Mahjong Maze Mini-Games Multiplay Pinball Puzzle Quiz Racing Rhythm Shooter Sports Tabletop Wrestling

# If you have problems getting an emulator to run, try setting debug
# to "yes".  Also, check the logs/ directory.
debug = no

# The orientation of the menu.
#   0: Horizontal
#   1: Vertical
menu_orientation = 0

# Screen resolution.  Separate the width and height by a space.  For
# example, to specify 800x600 use this: resolution = 800 600.  If left
# commented out, the default resolution for a horizontal menu
# orientation is 800x600 and the default for a vertical menu
# orientation is 640x480.
resolution = 800 600

# The True Type font to use.
font_file = slicker.ttf

# The size, in points, of the font.
font_size = 18

# Whether or not to use anti-aliasing on the font.  This looks nice, so
# unless you've got a *really* slow machine, I would use it.
antialias_font = yes

# Milliseconds of delay before the screen shot is displayed after moving
# the cursor onto a selection.
screen_shot_delay = 400

# How bright is the displayed screen shot (0 - 100)
# 0 - Black, 100 - full brightness
screen_shot_brightness = 40

# Whether or not to prefer integer scaling factors of screen shots
# over non-integer scaling factors.  If enabled, then integer scaling
# factors will be tried before non-integer scaling factors.  If
# disabled, then non-integer scaling factors will always be used.
# Note that non-integer scaling factors will result in some distortion
# of the screen shot.  It is for this reason that integer scaling is
# enabled by default.
prefer_integer_scaling = yes

# Background music type:
#   0: None
#   1: MP3 playlist
#   2: Compact Disc in CD-ROM (DOS Only)
background_music = 0

# Path to the MP3 playlist file.  Only relevant when background_music = 1.
mp3_playlist_file = ./playlist.txt

# CD Volume (0 - 1000). 0 - Min, 1000 - Max. Only relevant when
# background_music = 1.
mp3_volume = 1000

# CD Volume (0 - 1000). 0 - Min, 1000 - Max. Only relevant when
# background_music = 2.  For some reason the CD is really loud on my
# machine.
cd_volume = 450

# Sound effect volume (0 - 1000). 0 - Min, 1000 - Max.
sound_effect_volume = 1000

# Use software audio mixer (Windows only).  Set to "no" by default,
# but if you get distortion try turning it on as some DirectSound
# drivers have buggy mixers.
use_software_mixer = no

# This path is appended to all relative paths in the per-emulator
# config files.  It is a good idea to at least put the drive letter
# here in case DOS/Windows decides to change it.
path_prefix = c:\

# The number of minutes until the screen saver activates.  Setting to
# 0 disables the screen saver.  The default is 5 minutes.
screen_saver_time = 5

# The text to display when the screen saver is active.
screen_saver_text = My Arcade Machine

# The delay in milliseconds between the first key press and autorepeat.
initial_key_delay = 250

# The delay in milliseconds between key repeats during autorepeat.
# Make sure this is less than screen_shot_delay for optimal
# performance.
key_repeat_delay = 125

# The delay in milliseconds between the first joystick action and
# autorepeat.
initial_joystick_delay = 300

# The delay in milliseconds before advancing to the next item when
# using joystick autorepeat.  Make sure this is less than
# screen_shot_delay for optimal performance.
joystick_repeat_delay = 125

# Whether or not to show an icon next to games that have a screen shot
# available: "yes" or "no".  Default "yes".
show_screen_shot_icon = yes

# Whether or not to use text animations such as smooth scrolling.
use_animations = yes

# The number of screenfuls to page up (or page down) before turbo
# scrolling kicks in.  Set to -1 to disable turbo scrolling.  When
# turbo scrolling kicks in, the smooth animated scrolling is turned
# off, thus allowing items to scroll by much faster.  Default 3.
turbo_scroll_threshold = 3

# The minimum number of items in a menu for it to be considered large.
# Small menus do not trigger turbo scrolling, regardless of
# turbo_scroll_threshold.  Default 100.
large_menu_threshold = 100

# The colors of the menu.  Each color is a red, green, blue triad
# (without commas).  The "fg" colors are the main text colors and the
# outline is the border of the text.

# Default: White = 192 192 192 
unselected_fg_color = 192 192 192

# Default: Black = 0 0 0
unselected_outline_color = 0   0   0

# Default: Black = 0 0 0
selected_fg_color = 0 0 0

# Default: Yellow = 192 192 64
selected_outline_color = 192 192 64

# The color of title and sub-title.  Default: White = 192 192 192
title_color = 192 192 192

# Key mappings.  Use integer scancodes in scancode.txt, i.e. A = 1
# Default: Up Arrow = 84
up_key = 84

# Default: Down Arrow = 85
down_key = 85

# Default: Left Arrow = 82
page_up_key = 82

# Default: Right Arrow = 83
page_down_key = 83

# Default: 1 = 28
play_game_key = 28

# Default: Left Control = 98
next_emulator_key = 97

# Default: ALT = 100
previous_emulator_key = 100

# Default: ESC = 59
quit_key = 16

# Default: Space = 75
screen_shot_key = 75

# Skips to next song when pressed.
# Default: G = 7
skip_song_key = 7

# Starts current song over from the beginning.
# Default: D = 4
start_song_over_key = 4

# Joystick button used to play game. Valid values are 0 through the
# the number of buttons your joystick has.
# Default: 0
joystick_select_button = 0

# Which mouse axis to use as an input.  This can be used to allow a
# mouse, trackball, or trackwheel to control the menu.
#   0: No mouse control
#   1: X-Axis
#   2: Reversed X-Axis
#   3: Y-Axis
#   4: Reveresed Y-Axis
mouse_input_axis = 3

# How many pixels of mouse movement are needed to register as one
# line of movement.
mouse_input_threshold = 250

# Choose the animation method to use.  Page flipping results in the
# highest frames per second and smoothest animation, but may not work
# well with some cards.
#   0: Double Buffering
#   1: Page Flipping
animation_method = 1

# This option is only relevant when the animation method is double
# buffering.  Using vsync results in smoother animation, but may be
# slower.
use_vsync = yes

# This option is mainly for debugging purposes.  It allows you to
# disable use of video RAM for animation.
use_vram = yes

# If set to "no", Game Launcher will run in a window rather than
# fullscreen.  This only works under Linux and Windows, but don't use
# it unless you know what you are doing.
use_fullscreen = yes
